import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import ElementPlus from 'element-plus'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import 'element-plus/dist/index.css'

import { Overlay,ActionSheet} from 'vant';
// 2. 引入组件样式
import 'vant/lib/index.css';

// 公共css
import './assets/css/base.css'
// 公共组件
import AppCard from '@/components/base/AppCard.vue'
import AppContainer from '@/components/base/AppContainer.vue'

import modules from './modules'
 
const app = createApp(App)



// 注册公共组件
app.component('AppCard', AppCard).component('AppContainer', AppContainer)

// 注册模块
modules({ router })
app.use(Overlay)
app.use(ActionSheet)
app.use(createPinia())
app.use(router)
app.use(ElementPlus, { locale: zhCn })
app.mount('#app')
